using UnityEngine;

public class Display : MonoBehaviour
{
    public bool Standalone = false;

    private void Update()
    {
        if (Standalone)
        {
            ManualUpdate(transform.forward);
        }
    }

    public virtual void Init() { }

    public virtual void ManualUpdate(Vector3 direction) { }

    public virtual void PlayState(string stateName, int layer = 0, float time = -1) { }

    public virtual void SetBool(string name, bool value) { }

    public virtual void SetFloat(string name, float value) { }

    public virtual void SetEvent(string name, bool value) { }

    public virtual void SetLayerWeight(int layer, float weight) { }

    public virtual Sprite GetSprite() { return null; }

    public virtual void ShowAfterImage(float timeOut) { }

    public virtual int GetAnimatorLayersCount() { return 0; }
    public virtual AnimatorStateInfo GetCurrentAnimatorStateInfo(int layer = 0) { return new AnimatorStateInfo(); }
    public virtual AnimatorStateInfo GetNextAnimatorStateInfo(int layer = 0) { return new AnimatorStateInfo(); }
}
